#define F_CPU 3686400
#include <avr/io.h>
#include <util/delay.h>

#define REG_D51722_CONFIG_BIT 0x80		//on veut crire  l'adresse 0x00, nous devons mettre 0x80
#define REG_D51722_CONFIG_WRITE 0xE0	//on a 111 puis nous avons que des 0 car nous voulons
										//une resolution basse (R), donne la dernire temprature (1SHOT) et allum (SD)
#define REG_D51722_MSB 0x02				//on veut lire la temprature du capteur

char DS1722_read(void);					//on envoie 0x02 pour lire la temprature, on envoie 0 par la suite et cela remplace la valeur de temp
void DS1722_init(void);					//on crit 0x80 pour acceder au bit 0x00, ensuite on crit la configuration, soit 0xE0